CodonPrefTools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.CodonPrefTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class CodonPrefTools

    java.lang.Object
      org.biojava.bio.symbol.CodonPrefTools

    public class CodonPrefTools

extends Object

An utility class for codon preferences

Since:
  1.3
Author:
  David Huen, Mark Schreiber

Field Summary
`static String` | `CEREVISIAE_NUCLEAR` Saccharomyces cerevisiae codon preferences
`static String` | `DROSOPHILA_MELANOGASTER_NUCLEAR` Drosophila melanogaster codon preferences
`static String` | `ECOLI` Escherichia coli codon preferences
`static String` | `FUGU_NUCLEAR` Takifugu rubripes codon preferences
`static String` | `MAN_NUCLEAR` Homo sapiens codon preferences
`static String` | `MOUSE_NUCLEAR` Mus musculus codon preferences
`static String` | `POMBE_NUCLEAR` Schizosaccharomyces pombe codon preferences
`static String` | `RAT_NUCLEAR` Rattus norvegicus codon preferences
`static String` | `WORM_NUCLEAR` Caenorhabditis elegans codon preferences

Constructor Summary
`CodonPrefTools()`

Method Summary
`static CodonPref` | `getCodonPreference(String id)` get the specified codon preference.
`static FiniteAlphabet` | `getDinucleotideAlphabet()` returns an RNA dinucleotide alphabet.
`static CodonPref[]` | `readFromXML(InputStream prefStream)`
`static void` | `readFromXML(InputStream prefStream, CodonPrefFilter filter)` read an CodonPref XML stream and handle it with a CodonPrefFilter object.
`static CodonPref` | `readFromXML(InputStream prefStream, String name)` reads a specified CodonPref from an file.
`static void` | `translateCUD(InputStream input, OutputStream output)` reads in a file in Codon Usage Database format and translate it into our XML format These can be obtained from the Codon Usage Database.
`static void` | `writeToXML(CodonPref codonPref, PrintWriter writer)` write out a specified CodonPref object in XML format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DROSOPHILA_MELANOGASTER_NUCLEAR

    public static String DROSOPHILA_MELANOGASTER_NUCLEAR

  Drosophila melanogaster codon preferences

### MAN_NUCLEAR

    public static String MAN_NUCLEAR

  Homo sapiens codon preferences

### MOUSE_NUCLEAR

    public static String MOUSE_NUCLEAR

  Mus musculus codon preferences

### RAT_NUCLEAR

    public static String RAT_NUCLEAR

  Rattus norvegicus codon preferences

### FUGU_NUCLEAR

    public static String FUGU_NUCLEAR

  Takifugu rubripes codon preferences

### WORM_NUCLEAR

    public static String WORM_NUCLEAR

  Caenorhabditis elegans codon preferences

### CEREVISIAE_NUCLEAR

    public static String CEREVISIAE_NUCLEAR

  Saccharomyces cerevisiae codon preferences

### POMBE_NUCLEAR

    public static String POMBE_NUCLEAR

  Schizosaccharomyces pombe codon preferences

### ECOLI

    public static String ECOLI

  Escherichia coli codon preferences

Constructor Detail

### CodonPrefTools

    public CodonPrefTools()

Method Detail

### getCodonPreference

    public static CodonPref getCodonPreference(String id)

  get the specified codon preference.

### getDinucleotideAlphabet

    public static FiniteAlphabet getDinucleotideAlphabet()

  returns an RNA dinucleotide alphabet. Used to represent the non-wobble bases in WobbleDistribution

### writeToXML

    public static void writeToXML(CodonPref codonPref,
                                  PrintWriter writer)
                           throws NullPointerException,
                                  IOException,
                                  IllegalSymbolException,
                                  BioException

  write out a specified CodonPref object in XML format.

  Throws:
    `NullPointerException`
    `IOException`
    `IllegalSymbolException`
    `BioException`

### readFromXML

    public static CodonPref readFromXML(InputStream prefStream,
                                        String name)
                                 throws BioException

  reads a specified CodonPref from an file.

  Parameters:
    `name` - name of organism
  Throws:
    `BioException`

### readFromXML

    public static CodonPref[] readFromXML(InputStream prefStream)
                                   throws BioException

  Throws:
    `BioException`

### readFromXML

    public static void readFromXML(InputStream prefStream,
                                   CodonPrefFilter filter)
                            throws BioException

  read an CodonPref XML stream and handle it with a CodonPrefFilter object.

  Throws:
    `BioException`

### translateCUD

    public static void translateCUD(InputStream input,
                                    OutputStream output)
                             throws IOException

  reads in a file in Codon Usage Database format and translate it into our XML format These can be obtained from the Codon Usage Database.

  Note that the output assumes that the universal genetic code is used as that is not encoded in the CUD files. Edit the output appropriately to modify the genetic code if necessary.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD